%global major         0
%define libname       %mklibname obexftp %major
%define devname       %mklibname obexftp -d

%define major_1       1
%define libbfb        %mklibname bfb %{major_1}
%define libmulticobex %mklibname multicobex %{major_1}

Name: obexftp
Summary: Tool to access devices via the OBEX protocol
Group: Communications/Bluetooth
Version: 0.24.2
Release: %mkrel 7
License: GPLv2+
URL: https://gitorious.org/obexftp
Source: https://download.sourceforge.net/openobex/%{name}-%{version}-Source.tar.gz
Patch0: %{name}-norpath.patch
# From upstream git, fixes fuse apps not being installed
Patch1: %{name}-0.24-fuse.patch
# From OpenSUSE, thanks: fix python install path
Patch3: %{name}-0.24-fix-absurd-install-path.patch
# (tv) fix linking:
Patch4: obexftp-fix-linking.diff
BuildRequires: bluez-devel
BuildRequires: expat-devel
BuildRequires: gettext-devel
BuildRequires: libtool
BuildRequires: openobex-devel >= 1.7
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: python3-devel
BuildRequires: ruby
BuildRequires: ruby-devel
BuildRequires: tcl-devel
BuildRequires: cmake
BuildRequires: swig
BuildRequires: fuse-devel
BuildRequires: asciidoc
BuildRequires: xmlto

%description
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n python3-%{name}
Summary: Python3 library to access devices via the OBEX protocol
Group: Development/C
%{?python_provide:%python_provide python3-%{name}}
Requires: %{name} = %{version}-%{release}

%description -n python3-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n perl-%{name}
Summary: Perl library to access devices via the OBEX protocol
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description -n perl-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n ruby-%{name}
Summary: Ruby library to access devices via the OBEX protocol
Group: Development/C
Requires: ruby(release)
Requires: %{name} = %{version}-%{release}

%description -n ruby-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n %{libname}
Summary: Shared libraries for %{name}
Group: System/Libraries
Obsoletes: %{name} < 0.23-0.1

%description -n %{libname}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n %{libbfb}
Summary: Shared libraries for %{name}
Group: System/Libraries
Conflicts: %{_lib}obexftp0 < 0.24.2-4

%description -n %{libbfb}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n %{libmulticobex}
Summary: Shared libraries for %{name}
Group: System/Libraries
Conflicts: %{_lib}obexftp0 < 0.24.2-4

%description -n %{libmulticobex}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n %{devname}
Summary: Header files and libraries for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: %{libbfb} = %{version}-%{release}
Requires: %{libmulticobex} = %{version}-%{release}
Requires: openobex-devel >= 1.2

%description -n %{devname}
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q -n %{name}-%{version}-Source
%autopatch -p1

%build
%cmake
# 'all' doesn't include doc, it seems - thanks, SUSE.
%cmake_build --target all doc


%install
RUBYARCHDIR=%{buildroot}%{ruby_vendorarchdir} %cmake_install

%files
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_mandir}/man1/obexftp.1*
%{_mandir}/man1/obexftpd.1*
%{_bindir}/obexftp
%{_bindir}/obexftpd
%{_bindir}/obexautofs
%{_bindir}/obexfs

%files -n %{libname}
%{_libdir}/libobexftp.so.%{major}{,.*}

%files -n %{libbfb}
%{_libdir}/libbfb.so.%{major_1}{,.*}
# upstream libification should be fixed (to match with major 1)
%{_libdir}/libbfb.so.0.*

%files -n %{libmulticobex}
%{_libdir}/libmulticobex.so.%{major_1}{,.*}

%files -n %{devname}
%{_includedir}/bfb/
%{_includedir}/multicobex/
%{_includedir}/obexftp/
%{_libdir}/*.so
%{_libdir}/pkgconfig/obexftp.pc

%files -n python3-%{name}
%{python3_sitearch}/_obexftp.so*
%{python3_sitearch}/obexftp.py*
%{python3_sitearch}/__pycache__/*

%files -n perl-%{name}
%{perl_vendorarch}/OBEXFTP.pm
%dir %{perl_vendorarch}/*/OBEXFTP
%{perl_vendorarch}/*/OBEXFTP/OBEXFTP.so

%files -n ruby-%{name}
%{ruby_vendorarchdir}/obexftp.so



%changelog
* Tue Dec 19 2023 papoteur <papoteur> 0.24.2-7.mga10
+ Revision: 2019446
- Mass Rebuild - Python 3.12

* Thu Aug 04 2022 tv <tv> 0.24.2-6.mga9
+ Revision: 1875071
- Rebuild for perl-5.36

* Tue Mar 29 2022 umeabot <umeabot> 0.24.2-5.mga9
+ Revision: 1831193
- Mageia 9 Mass Rebuild

* Wed Apr 21 2021 daviddavid <daviddavid> 0.24.2-4.mga9
+ Revision: 1717744
- split out libraries with major 1 in their own sub-pkgs
- rebuild for python 3.9

* Thu Oct 29 2020 joequant <joequant> 0.24.2-3.mga8
+ Revision: 1640347
- fix build

* Sat Jul 18 2020 tv <tv> 0.24.2-2.mga8
+ Revision: 1606960
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Mon May 11 2020 tv <tv> 0.24.2-1.mga8
+ Revision: 1582981
- BR expat-devel
- 0.24.2

* Fri Feb 14 2020 daviddavid <daviddavid> 0.24-17.mga8
+ Revision: 1517675
- drop python2 support
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.24-16.mga7
+ Revision: 1299826
- Mageia 7 Mass Rebuild

* Mon Sep 25 2017 tv <tv> 0.24-15.mga7
+ Revision: 1159104
- rebuild with perl-5.26.x

* Sat Jun 18 2016 pterjan <pterjan> 0.24-14.mga6
+ Revision: 1022166
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.24-13.mga6
+ Revision: 961781
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 tv <tv> 0.24-12.mga6
+ Revision: 846750
- rebuild with soname-ified perl

* Wed Jun 24 2015 sander85 <sander85> 0.24-11.mga6
+ Revision: 842498
- Rebuild for perl 5.22

* Wed Jun 24 2015 tv <tv> 0.24-10.mga6
+ Revision: 841850
- rebuild for perl-5.22

* Thu Feb 19 2015 luigiwalser <luigiwalser> 0.24-9.mga5
+ Revision: 815777
- rebuild against fixed openobex pkgconfig file

* Wed Oct 15 2014 umeabot <umeabot> 0.24-8.mga5
+ Revision: 744470
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.24-7.mga5
+ Revision: 732819
- remove one bogus requires

* Sat Sep 27 2014 tv <tv> 0.24-6.mga5
+ Revision: 727481
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.24-4.mga5
+ Revision: 632359
- perl 5.20.0 rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.24-3.mga5
+ Revision: 632305
- Rebuild for perl 5.20
- Rebuild for new Python

* Sat May 17 2014 tv <tv> 0.24-1.mga5
+ Revision: 623153
- BR perl-devel
- bump BRed openobex-devel
- imported package obexftp


* Fri May 16 2014 Thierry Vignaud <tv@mageia.org> 0.24-1.mga5
- import from FC
